.quiz-wrapper {
    position: relative;
    /*min-height: calc(100vh - 260px);*/
    min-height: 100vh;
}

/*@media (min-width: 1025px) and (max-width: 1600px) {
    .quiz-wrapper {
        min-height: 100vh;
    }
}*/

/** Backgrounds **/

.quiz-intro-bg,
.quiz-q-bg {
    position: absolute;
    left: 0; top: 0; right: 0; bottom: 0;
    pointer-events: none;
    width: 100%; height: 100%;
    object-fit: cover; object-position: bottom left;
    opacity: 0;
    -webkit-transition: all 0.55s ease-in-out;
    transition: all 0.55s ease-in-out;
}

.q-bg.visible {
    opacity: 1;
}

/*** Navigation ***/

.quiz-wrapper nav {
    padding-top: 65px;
    max-width: 1552px; width: 100%;
    margin: 0 auto;
    position: relative;
    z-index: 1;
}

@media (min-width: 1025px) and (max-width: 1600px) {
    .quiz-wrapper nav {
        max-width: 95%;
    }
}

/* Logo and button */

.logo-back-row {
    display: flex;
    align-items: center; justify-content: space-between;
}

.top-logo {
    max-width: 121px; height: auto;
    display: inline-flex; align-items: center;
}

#prev-q {
    display: inline-flex;
    align-items: center;
}

#prev-q.hidden {
    opacity: 0; pointer-events: none;
}

.logo-back-row a span {
    font-family: "Roboto", sans-serif;
    font-size: 16px; line-height: 24px;
    color: #262323;
    -webkit-transition: all 0.3s ease-in-out;
    transition: all 0.3s ease-in-out;
}

#prev-q:before {
    content: '';
    width: 16px; height: 10px;
    display: inline-block;
    background: url(https://www.hajduk.cz/wp-content/themes/hajduk/assets/svg/chevron-left-green.svg) no-repeat center; background-size: contain;
    margin-right: 5px;
}

#prev-q:hover span {
    color: #2FAC66;
}

/* Completition meter */

.completition-meter {
    position: relative;
    display: grid;
    grid-template-rows: 1fr;
    grid-column-gap: 20px; grid-row-gap: 20px;
    margin-bottom: 43px;
}

.completition-meter span {
    height: 9px; width: 100%;
    background: #2FAC66;
    display: block;
    border-radius: 31px;
    opacity: 0.2;
}

.completition-meter span.filled {
    opacity: 1;
}

/*** Question sections ***/

.q-section {
    position: absolute;
    left: 0; top: 0; right: 0; bottom: 0;
    width: 100%; height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: flex-end;
    padding-bottom: 151px;
    -webkit-transition: all 0.55s ease-in-out;
    transition: all 0.55s ease-in-out;
    opacity: 0;
    pointer-events: none;
}

@media (min-width: 1025px) and (max-width: 1600px) {
    .q-section {
        padding-bottom: 100px;
    }
}

@media (min-width: 1921px) {
    .q-section {
        padding-bottom: 300px;
    }
}

.q-section.visible {
    opacity: 1; pointer-events: initial;
}

.q-container {
    max-width: 1026px; width: 100%;
    margin: 0 auto;
}

/** Intro **/

.quiz-intro:before {
    content: '';
    position: absolute;
    pointer-events: none;
    width: 100%; height: 100%;
    left: 0; top: 0; bottom: 0;
    background: linear-gradient(270deg, rgba(255, 255, 255, 0.00) 24.08%, rgba(255, 255, 255, 0.37) 48.17%, #FFF 89.78%);
}

.quiz-intro article {
    max-width: 627px; width: 100%;
    position: relative;
    padding-left: 115px;
}

.quiz-intro article h1 {
    font-family: "Bona Nova";
    text-transform: uppercase;
    color: #2FAC66;
    font-size: 85px; line-height: 95px;
    margin: 0 0 67px;
}

.quiz-intro article p {
    font-family: "Roboto Slab";
    font-size: 30px;
    font-weight: 400;
    line-height: normal;
    color: #262323;
}

/* Button */

#start-quiz {
    border: 1px solid #262323;
    background: #262323;
    min-width: 173px; min-height: 57px;
    border-radius: 50px;
    cursor: pointer;
    position: relative;
    overflow: hidden;
}

#start-quiz span {
    font-size: 20px;
    font-family: 'Roboto';
    color: #fff;
    position: relative;
}

#start-quiz:before {
    content: '';
    width: 100%; height: 100%;
    position: absolute;
    left: 0; bottom: -110%;
    background: #fff;
}

#start-quiz,
#start-quiz:before,
#start-quiz span {
    -webkit-transition: all 0.35s ease-in-out;
    transition: all 0.35s ease-in-out;
}

#start-quiz:hover:before {
    bottom: 0;
}

#start-quiz:hover span {
    color: #000;
}

/*** Questions section - each section ***/

.centered-content .q-container {
    display: flex; 
    flex-direction: column;
    align-items: center; justify-content: center;
}

.centered-content .q-container small {
    font-family: 'Roboto slab';
    color: #2FAC66;
    text-transform: uppercase;
    font-size: 20px; line-height: normal;
    font-weight: 700;
}

.quiz-q {
    margin: 10px 0 58px;
    font-family: 'Roboto slab';
    font-size: 30px; line-height: normal;
    font-weight: 700;
    max-width: 891px; width: 100%;
    text-align: center;
}

/** Radio buttons **/

.q-section form {
    width: 100%;
}

.q-section form fieldset {
    border: 0; padding: 0;
}

.radio-group-q {
    border: 1px solid #D9D9D9;
    background: #fff;
    padding: 27px 105px 27px 22px;
    border-radius: 5px;
}

.radio-group-q:not(:last-of-type) {
    margin-bottom: 24px;
}

.radio-group-q label {
    font-family: Roboto;
    font-size: 18px;
    font-weight: 400;
    line-height: 27px;
    color: #262323;
    padding-left: 25px;
}

/* button */

.green-btn,
.next-question {
    border: 1px solid #2FAC66;
    background: #2FAC66;
    min-width: 263px; min-height: 57px;
    border-radius: 50px;
    cursor: pointer;
    position: relative;
    overflow: hidden;
    margin-top: 91px;
    display: inline-flex;
    align-items: center; justify-content: center;
    text-align: center;
}

@media (min-width: 1025px) and (max-width: 1600px) {
    .next-question {
        margin-top: 45px;
    }
}

.green-btn span,
.next-question span {
    font-size: 20px;
    font-family: 'Roboto';
    color: #fff;
    position: relative;
}

.green-btn:before,
.next-question:before {
    content: '';
    width: 100%; height: 100%;
    position: absolute;
    left: 0; bottom: -110%;
    background: #fff;
}

.next-question,
.next-question:before,
.next-question span,
.green-btn,
.green-btn:before,
.green-btn span {
    -webkit-transition: all 0.35s ease-in-out;
    transition: all 0.35s ease-in-out;
}

.next-question:hover:before,
.green-btn:hover:before {
    bottom: 0;
}

.next-question:hover span,
.green-btn:hover span {
    color: #2FAC66;
}

.summary-btn {
    margin-top: 0;
}

/*** Outro ***/

.quiz-outro {
    justify-content: center;
    padding-bottom: 0;
}

.quiz-outro article {
    display: flex;
    flex-direction: column;
    align-items: center;
    max-width: 625px; width: 100%;
    margin: 0 auto;
    -webkit-transition: all 0.55s ease-in-out;
    transition: all 0.55s ease-in-out;
    display: none;
}

.quiz-outro article.visible {
    display: flex;
}

.quiz-outro article p {
    margin: 0 0 86px;
    color: #262323;
    text-align: center;
    font-family: "Roboto Slab";
    font-size: 50px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
}

.quiz-outro article p span {
    color: #2FAC66; font-weight: 700;
}

/** Small desktop fixes **/

@media (min-width: 1025px) and (max-width: 1279px) {

    .quiz-intro article p {
        font-size: 25px;
    }

    .quiz-intro article h1 {
        font-size: 70px;
        margin-bottom: 45px;
    }

    .radio-group-q {
        padding: 15px 50px 15px;
    }

    .radio-group-q:not(:last-of-type) {
        margin-bottom: 15px;
    }

    .next-question {
        margin-top: 30px;
    }

    .quiz-q {
        font-size: 25px;
        margin-bottom: 35px;
    }

}

/** Tablets **/

@media (min-width: 767px) and (max-width: 1024px) {

    .quiz-wrapper nav,
    .q-container {
        max-width: 95%;
    }

    .quiz-intro article {
        max-width: 75%; width: 100%;
        padding-left: 0;
    }

}

/** Mobile **/

@media (max-width: 767px) {

    .quiz-wrapper {
        min-height: 850px;
    }

    .quiz-wrapper nav,
    .q-container {
        max-width: 95%;
    }

    .quiz-intro article {
        max-width: 100%; width: 100%;
        padding-left: 0;
    }

    .q-section {
        justify-content: flex-start;
        padding-top: 175px;
    }

    .quiz-wrapper nav {
        padding-top: 45px;
    }

    .completition-meter {
        grid-template-rows: 1fr;
        grid-column-gap: 5px;
        margin-bottom: 25px;
    }

    .top-logo {
        max-width: 150px;
    }

    .top-logo img {
        width: 100%; height: auto;
    }

    .quiz-intro article p {
        font-size: 25px;
    }

    .quiz-intro article h1 {
        font-size: 70px;
        margin-bottom: 45px;
    }

    .radio-group-q {
        padding: 15px 15px;
    }

    .radio-group-q:not(:last-of-type) {
        margin-bottom: 15px;
    }

    .radio-group-q label {
        padding-left: 15px;
    }

    .next-question {
        margin-top: 30px;
    }

    .quiz-q {
        font-size: 25px;
        margin-bottom: 35px;
    }

    .radio-group-q label {
        font-size: 16px; line-height: 22px;
    }

    .quiz-outro article p {
        font-size: 30px;
        margin-bottom: 35px;
    }

}